%ifarch ppc
%define libdir /usr/lib
%else
%define libdir /usr/lib64
%endif

Summary:    IBM Cell Broadband Engine SIMDMath Library
Name:       simdmath
Version:    3.0
Release:    5
Group:      Cell Runtime Environment
Vendor:     IBM Corporation
Distribution: IBM SDK for Multicore Acceleration
URL:	    http://www.ibm.com
License:    BSD
Source:     simdmath.tgz
Buildroot:  %{_tmppath}/%{BUILDsubdir}
%define __strip /bin/true
%define BUILDsubdir      %{name}-%{version}-%{release}
%define _use_internal_dependency_generator 0

%description
The Cell SDK SIMDMath contains the SIMDMath runtime library

%package -n ppu-%{name}
Summary: IBM Cell Broadband Engine SIMDMath Library
Group: Cell Runtime Environment

%description -n ppu-%{name}
The Cell SDK SIMDMath runtime Library


%ifarch ppc
%package -n spu-simdmath-devel
Summary: IBM Cell Broadband Engine SIMDMath Library
Group: Cell Development Libraries

%description -n spu-simdmath-devel
The Cell SDK SIMDMath contains math development libraries
%endif

%package -n ppu-simdmath-devel
Summary: IBM Cell Broadband Engine SIMDMath development libraries
Group: Cell Development Libraries
Requires: ppu-%{name} = %{version}


%description -n ppu-simdmath-devel
The Cell SDK SIMDMath contains SIMDMath development libraries

%prep
%setup -q -c -n %{BUILDsubdir}

%build

make
make export

%install

mkdir -p $RPM_BUILD_ROOT
cp -a export/*  $RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT/usr/spu/include
cp ../../include/simdmath.h simdmath.h
popd

%ifarch ppc
rm -rf $RPM_BUILD_ROOT/usr/lib64
%else
rm -rf $RPM_BUILD_ROOT/usr/lib
rm -rf $RPM_BUILD_ROOT/usr/spu
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n ppu-%{name} -p /sbin/ldconfig

%postun -n ppu-%{name} -p /sbin/ldconfig

%files -n ppu-simdmath
%defattr(-,root,root)
%libdir/*.so.*

%files -n ppu-simdmath-devel
%defattr(-,root,root)
/usr/include/simdmath
/usr/include/simdmath.h
%libdir/*.a
%libdir/*.so

%ifarch ppc
%files -n spu-simdmath-devel
/usr/spu
%endif


